> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove a MessageService by message type and shut it down



## OpenAPI

````yaml /api-reference/4.2/service-messaging.json delete /messaging/service/{messageType}
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service messaging
servers:
  - url: /api/apollo/
security: []
tags:
  - name: messaging
paths:
  /messaging/service/{messageType}:
    delete:
      tags:
        - 4.2 Messaging API
      summary: Remove a MessageService by message type and shut it down
      operationId: removeService
      parameters:
        - name: messageType
          in: path
          description: One of the supported message types
          required: true
          schema:
            type: string
      responses:
        default:
          description: successful operation

````